Subject: Mexican Rice
From: "Flowerburst" <[email-masked]>
Date: 11 Apr 1999 16:01:55 -0600
Newsgroups: rec.food.recipes

Mexican Rice

Serves: 6

3 tablespoons bacon drippings
2/3 cup onion chopped
1 cup long grain rice raw
1 cup green bell pepper chopped
1/2 cup red bell pepper chopped red bell pepper or 1/4 cup pimiento, c
1 teaspoon chili powder
1 1/2 teaspoons salt
2 1/4 cups water
1/2 peas
1/2 frozen corn
1 tablespoon butter or margarine
black pepper Freshly ground

Melt bacon fat in heavy skillet. Saute onions and rice until rice is opaque,
but not browned. Add green and red bell peppers or pimiento, chili powder
and 1 teaspoon salt. Mix well and add 2 cups water and bring to boil
uncovered; reduce heat to very low and cover. Cook for about 18 to 20
minutes, or until tender.

To corn and peas, add 1/4 cup water in saucepan and 1/2 teaspoon salt. Bring
to boil and simmer 2 minutes. Turn up heat and reduce water from vegetables.
Add butter or margarine and grind of pepper. Carefully fold peas and corn
mixture into rice and keep hot, until serving.

Note: This dish may be made ahead of time and refrigerated until 1 hour
before serving. Put into 350 oven for about 20 minutes or until very hot.

--
~~Rec.food.recipes is moderated; only recipes and recipe requests are accepted
for posting.  Please read the FAQ posted on Mondays.  Recipes/requests
go to [email-masked]; questions/comments to [email-masked].  
Please allow several days for your submission to appear.